#===============================================================================
#
# BQCD -- Berlin Quantum ChromoDynamics programme
#
# Author: Hinnerk Stueben <stueben@zib.de>
#
# Copyright (C) 2002-2003, Hinnerk Stueben, Zuse-Institut Berlin
#
#-------------------------------------------------------------------------------
#
# Makefile-hp.var - settings for HP-UX Fortran Compiler
#
#-------------------------------------------------------------------------------

SHELL     = /bin/ksh

MODULES_FLAG = -I$(MODULES_DIR)

FPP       = /opt/langtools/lbin/cpp.ansi -P
F90       = mpif90 ####+Oopenmp
CC        = cc
AR        = ar
RANLIB    = ranlib

MYFLAGS   = -DTIMING -DD3_BUFFER_VOL=1 #####-D_OPENMP
FFLAGS    = $(MODULES_FLAG) \
            +r8 +DD64 +DSnative +O3 +Ocache_pad_common \
            +Olibcalls +Onolimit +Ofltacc=relaxed +FPD
CFLAGS    = -DLongLong -DNamesToLower_ +DD64 +DSnative
ARFLAGS   = rv

LDFLAGS   = +O3 +DD64 +DSnative +U77
SYSLIBS   = -L/opt/mlib/lib/hpux64 -lveclib

FAST_MAKE = gmake -j 1

CKSUM_O   = cksum.o
RANDOM_O  = ran.o ranf.o
UUU_O     = uuu_f90.o

LIBD      = libd.a
LIBCOMM   = lib_mpi.a
LIBCLOVER = libclover.a

#===============================================================================
